# frozen_string_literal: true

require_relative 'lib/retag/version'

Gem::Specification.new 'retag' do |spec|
  spec.version      = ENV['BUILDVERSION'].to_i > 0 ? "#{Retag::VERSION}.#{ENV['BUILDVERSION'].to_i}" : Retag::VERSION
  spec.authors      = ['Samoilenko Yuri']
  spec.email        = ['kinnalru@gmail.com']
  spec.description  = spec.summary = 'Retag is cli to manipulate docker images in handy way'
  spec.homepage     = 'https://github.com/RnD-Soft/retag'
  spec.license      = 'MIT'

  spec.required_ruby_version       = '>= 2.5.0'
  spec.metadata['homepage_uri']    = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/RnD-Soft/retag'

  spec.files = Dir['bin/**/*', 'lib/**/*', 'sig/**/*', 'Gemfile*', 'LICENSE', 'README.md', '*.gemspec']

  spec.bindir = 'bin'
  spec.executables   = spec.files.grep(%r{^bin/retag}) {|f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 2.2', '>= 2.2.1'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'rspec_junit_formatter'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'simplecov'
  spec.add_development_dependency 'simplecov-console'
  spec.add_development_dependency 'webmock'
  
  spec.add_runtime_dependency 'activesupport', '~> 6.0'
  spec.add_runtime_dependency 'colorize'
  spec.add_runtime_dependency 'json'
  spec.add_runtime_dependency 'thor'
  spec.add_runtime_dependency 'uri'
  spec.add_runtime_dependency 'yaml'
  spec.add_runtime_dependency 'gitlab'
  
end

